<template>
<el-button v-if="mode === 'design'" size="small" round class="add-branch-btn-el" @click="emit('addBranch')">{{value}}</el-button>
</template>

<script setup>
import {defineEmits,defineProps,computed} from "vue";
const emit = defineEmits()
const props = defineProps({
  value:{
    type:String,
    default: ""
  },
  mode: {
    type: String,
    default: 'design'
  }
})

const viewer = computed(() => {
  return false;
})

</script>

<style scoped>

</style>
